## org.pentaho.reporting.libraries.formula.function.math
Class AverageAFunction

    java.lang.Object
      org.pentaho.reporting.libraries.formula.function.math.AverageFunction
          org.pentaho.reporting.libraries.formula.function.math.AverageAFunction

All Implemented Interfaces:
  java.io.Serializable, Function

    public class AverageAFunction

extends AverageFunction

This function returns the average of the number sequence.

Author:
  Cedric Pronzato
See Also:
  Serialized Form

Constructor Summary
`AverageAFunction()`

Method Summary
`java.lang.String` `getCanonicalName()`

Methods inherited from class org.pentaho.reporting.libraries.formula.function.math.AverageFunction
`evaluate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AverageAFunction

    public AverageAFunction()

Method Detail

### getCanonicalName

    public java.lang.String getCanonicalName()

  Specified by:
    `getCanonicalName` in interface `Function`
  Overrides:
    `getCanonicalName` in class `AverageFunction`